Thanks a bunch TIG, I forgot you could get the arcs edges! Still organizing all this information
🏢 PlaceMaker | 25% off for February including new Google Earth data imports!
Learn more
A
Latest posts made by Alucinor
-
RE: Making a face
-
Making a face
I'm trying to make a half circle and then pushpull it into a half cylinder.
The way I went about it was making an arccurve and then putting a line at the base of this curve. However reading through the the api it seems like it isn't possible to make a face from a curve and an edge. Is this the case? If so, what would you recommend for making a half cylinder?
@unknownuser said:
Entities.add_faceSketchUp 6.0+
The add_face method is used to create a face. You can call this method a number of ways: entities.add_face(edge1, edge2, edge3, ...) entities.add_face(edgearray) entities.add_face(pt1, pt2, pt3, ...) entities.add_face([pt1, pt2, pt3,...]) entities.add_face(curve) For the last form that takes a Curve, the curve must be closed - like a circle. Arguments: some_entities Either a series of Edge or Point3d objects, an array of Point3d objects, or a closed Curve. Returns: face a Face object if successful
depth = 100 > width = 100 > model = Sketchup.active_model > entities = model.active_entities > pts = [] > pts[0] = [0, 0, 0] > pts[1] = [width, 0, 0] > pts[2] = [width, depth, 0] > pts[3] = [0, depth, 0] > # Add the face to the entities in the model > face = entities.add_face pts > if (face) > UI.messagebox face > else > UI.messagebox "Failure" > end